Current time: 04-07-2020, 05:51 PM Hello There, Guest! (LoginRegister)


Post Reply 
1.0.2 to 1.0.3.1 upgrade breakage
Author Message
jeffv Offline


Posts: 4
Joined: Dec 2009
Reputation: 0
Post: #1
1.0.2 to 1.0.3.1 upgrade breakage
My system was a 1.0.2. It came from VHCS 2.4.7.0, and was running just fine. To upgrade from VHCS I followed the upgrade docs and encountered no difficulties. The installation has been running for a couple of months with only some minor problems - occasional resource exhaustion. I haven't pinned down why yet.

It runs on Ubuntu. I followed the Ubuntu upgrade docs to move to 1.0.3

I also replaced the permissions files as per the forum update.

When running the update script, I had an error while fastcgi update was happening. It turned out that /etc/ispcp/apache/fastcgi_ispcp.conf was missing, which meant that I was getting a failure in ispcp-setup-methods.pl on line 1104 "($rs, $cfg_tpl) = get_file("$cfg_dir/$_\_ispcp.conf");"

Giving the system a fastcgi_ispcp.conf file taken from /tmp/ispcp/whatever solved this problem.

I presume that the VHCS upgrade procedure neglected to install this file.

This note is for anyone who faces the same problem.
12-29-2009 07:10 AM
Find all posts by this user Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)